WordPress FoxyPress Plugin tetszőleges fájl feltöltés sérülékenység

CH azonosító

CH-6951

Angol cím

WordPress FoxyPress Plugin Arbitrary File Upload Vulnerability

Felfedezés dátuma

2012.06.05.

Súlyosság

Magas

Érintett rendszerek

FoxyPress Plugin
WordPress

Érintett verziók

WordPress FoxyPress Plugin 0.x

Összefoglaló

A WordPress FoxyPress moduljának sérülékenységét fedezték fel, amelyet a támadók kihasználhatnak a sérülékeny rendszer feltörésére.

Leírás

A sérülékenységet az okozza, hogy awp-content/plugins/foxypress/uploadify/uploadify.php script lehetővé teszi tetszőleges kiterjesztésű fájl feltöltését a webroot könyvtárban található mappákba. Ez kihasználható például tetszőleges PHP kód lefuttatására, egy káros PHP script feltöltésével.

A sérülékenységet a 0.4.2.1 verzióban jelentették, de egyéb kiadások is érintettek lehetnek.

Megoldás

Korlátozza a wp-content/plugins/foxypress/uploadify/uploadify.php fájlhoz való hozzáférést (például a .htaccess használatával)!